# Startup file for Event Slave IOC
#
# Hardware needed:
#   EVR100 at A16:0x8800
#   Event fiber feed from Master Timing IOC

< cdCommands

cd topbin
ld 0,0,"test.munch"

# Args: Card number, A16 base-addr, int-vec, int-level
ErConfigure(0, 0x8800, 0x60, 5)

# Args: Provider priority (0 => 70), event tick-rate (Hz, 0 => 1000)
ErTimeProviderConfigure(0, 1000000)
#ErTimeProviderConfigure(0, 1000)

cd top
dbLoadDatabase("dbd/test.dbd")
test_registerRecordDeviceDriver(pdbbase)

dbLoadRecords("db/eventClient.db", "P=CTEST:")
dbLoadRecords("db/xxEvr100hb.db", "ioc=IOCCTEST")

cd startup
iocInit()

